Bug 128335 - CRASH: cutting textboxes
Summary: CRASH: cutting textboxes
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-10-23 10:04 UTC by Xisco Faulí
Modified: 2019-11-06 19:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["lcl_GetSwUndoId", "SwUndoDelLayFormat::SwUndoDelLayFormat(SwFrameFormat *)"]


Attachments
bt with debug symbols (8.72 KB, text/plain)
2019-10-27 19:31 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-10-23 10:04:58 UTC
Issue found while verifying bug 127412

Steps to reproduce:
1. Open attachment 153993 [details] from bug 127412
2. Select shape 3
3. Ctrl + X
4. Ctrl + V
5. Select all the shapes
6. Ctrl + X

-> Crash

Reproduced in

Version: 6.4.0.0.alpha1+
Build ID: 437dc68285dab0f08a1ded2193d86d64f560cd9b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-10-23 10:05:53 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=9835a5823e0f559aabbc0e15ea126c82229c4bc7

author	Miklos Vajna <vmiklos@collabora.co.uk>	2014-10-04 19:37:55 +0200
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-10-04 20:18:01 +0200
commit	9835a5823e0f559aabbc0e15ea126c82229c4bc7 (patch)
tree	12b77a17bf437e248ef02cc06634ab1dc458a99c
parent	ad5e8b30ac66a00d0110fcdaf4d064181247585b (diff)
sw textboxes: reimplement ODF import/export

Bisected with: bibisect-44max

Adding Cc: to Miklos Vajna
Comment 2 Julien Nabet 2019-10-27 19:31:16 UTC
Created attachment 155350 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Commit Notification 2019-11-05 07:36:55 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f6e7683847e5c959948b55c35bc916c69beb615e

tdf#128335 sw textbox: fix crash on deleting multiple shapes with textboxes

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-11-05 08:47:58 UTC
Verified in

Version: 6.4.0.0.alpha1+
Build ID: ee909ca2c02f949605f68720c3f1eef658502749
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!!
Comment 5 Commit Notification 2019-11-06 19:53:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/b75ff29acec137be0852687eb7c1d4cf4d49b6a0

tdf#128335 sw textbox: fix crash on deleting multiple shapes with textboxes

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.